Visualizzazione risultati 1 fino 16 di 16

Discussione: VLC non funziona correttamente

  1. #1
    Guest

    Predefinito VLC non funziona correttamente

    Ciao!
    Oggi mi sono imbattuto in un problema un po' più grande rispetto al solito: Ho installato correttamente VLC (wow!) con tutte le relative dipendenze (addirittura? ) ma adesso sorge un problema, VLC non parte
    Che fare?

    Grazie

  2. #2
    L'avatar di nonsologuide
    nonsologuide non è connesso Utente giovane
    Data registrazione
    09-12-2005
    Messaggi
    34

    Predefinito

    lancialo da terminale (apri una shell e digita 'vlc') e posta l'output.
    in questo modo potremmo conoscere gli eventuali errori
    http://www.NonSoloGuide.altervista.org - Il sito dalle guide facili!

  3. #3
    L'avatar di miki92
    miki92 non è connesso AlterGuru 2500
    Data registrazione
    21-04-2007
    Residenza
    Procida (NA)
    Messaggi
    4,224

    Predefinito

    Una curiosità...come si fa quello che hai detto?
    Apprezzi l'aiuto? Offrimi un caffè!

  4. #4
    Ospite Guest

    Predefinito

    Citazione Originalmente inviato da miki92 Visualizza messaggio
    Una curiosità...come si fa quello che hai detto?
    Prova a cercare "VLC" su Google, trovi diversi tutorial in merito.
    Il sito ufficiale è questo: http://www.videolan.org/vlc/
    Ciao!

  5. #5
    L'avatar di miki92
    miki92 non è connesso AlterGuru 2500
    Data registrazione
    21-04-2007
    Residenza
    Procida (NA)
    Messaggi
    4,224

    Predefinito

    Scusa probid mi sono espresso io male, ho VLC e so cos'è e quali funzioni possiede...vorrei sapere come lanciare da terminale, shell ecc il programma.
    Apprezzi l'aiuto? Offrimi un caffè!

  6. #6
    Guest

    Predefinito

    linux-elta:/home/aquanox # vlc
    vlc: error while loading shared libraries: libavformat.so.51: cannot open shared object file: No such file or directory
    Ultima modifica di AQUANOX : 19-09-2007 alle ore 21.45.07

  7. #7
    L'avatar di miki92
    miki92 non è connesso AlterGuru 2500
    Data registrazione
    21-04-2007
    Residenza
    Procida (NA)
    Messaggi
    4,224

    Predefinito

    Hai sbagliato il nome file o la directory, o in alternativa non esiste.
    Apprezzi l'aiuto? Offrimi un caffè!

  8. #8
    L'avatar di nonsologuide
    nonsologuide non è connesso Utente giovane
    Data registrazione
    09-12-2005
    Messaggi
    34

    Predefinito

    Citazione Originalmente inviato da AQUANOX Visualizza messaggio
    linux-elta:/home/aquanox # vlc
    vlc: error while loading shared libraries: libavformat.so.51: cannot open shared object file: No such file or directory
    come dice il messaggio di errore: ti manca la libreria 'libavformat.so'
    Che distribuzione linux utilizzi?
    Devi installare il pacchetto che contiene quella libreria (prova ad utilizzare il gestore dei pacchetti della tua distribuzione).
    http://www.NonSoloGuide.altervista.org - Il sito dalle guide facili!

  9. #9
    Guest

    Predefinito

    Utilizzo SuSe Linux Enterprise Server 10.0, ho controllato con yast cercando libavformat.so ma non risulta nulla. Ho quindi scaricato da rpmbone un file che contiene tale libreria.
    Tuttavia c'è una nutrita schiera di dipendenze da soddisfare per questo file, come fare?
    armarsi di pazienza?

    warning: /home/aquanox/Desktop/libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586.rpm: Header V3 DSA signature: NOKEY, key ID 9a795806
    error: Failed dependencies:
    libffmpeg0 = 0.4.9-8.pm.svn20070902 is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    lame is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    libogg-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    libvorbis-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    libtheora-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    esound-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    alsa-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    slang-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    faad2-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    xvid-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    libmp4v2-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586 x264-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    amrnb-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i586
    amrwb-devel is needed by libffmpeg0-devel-0.4.9-8.pm.svn20070902.i58

  10. #10
    L'avatar di nonsologuide
    nonsologuide non è connesso Utente giovane
    Data registrazione
    09-12-2005
    Messaggi
    34

    Predefinito

    premetto che non ho mai utilizzato Suse (l'ho provata, ma dopo qualche giorno l'ho tolta perchè non mi piaceva affatto).

    Non so cosa sia rpmbone (un sito? è qualcosa di 'ufficiale' Suse?)
    Se non è qualcosa di 'ufficiale' forse hanno compilato una versione vecchia della libreria, che si porta dietro dipendenze non soddisfatte.

    Hai controllato bene con yast? magari la libreria è contenuta in un altro pacchetto (ad esempio sotto Kubuntu, si chiama 'libavformat0d'

    Ora mi viene un dubbio: ma VLC lo hai installato tramite Yast? e yast non soddisfa le dipendenze??
    http://www.NonSoloGuide.altervista.org - Il sito dalle guide facili!

  11. #11
    Guest

    Predefinito

    volevo dire RPM Search, in effetti ho sbagliato a scrivere :P

    http://rpm.pbone.net/

    Non credo sia ufficiale, e con yast facendo cerca non trova nulla.
    VLC l'ho installato tramite shell, ero convinto di aver soddisfatto tutte le dipendenze...
    Tutti mi dicono di installarlo tramite Yast, ma come si fa?
    Ho sempre utilizzato la shell per tutto restando convinto di essere nel giusto...

  12. #12
    L'avatar di SolitaryExplorer
    SolitaryExplorer non è connesso Utente storico
    Data registrazione
    10-08-2005
    Residenza
    Veneto
    Messaggi
    1,949

    Predefinito

    Perché non disinstalli il VLC che hai attualmente e non provi con il pacchetto "originale" del progetto VideoLAN?

    http://www.videolan.org/vlc/download-suse.html
    Non offro assistenza privata. / Se vuoi anche tu una userbar come queste, basta chiedere.


  13. #13
    Guest

    Predefinito

    Citazione Originalmente inviato da AQUANOX Visualizza messaggio
    Ciao!
    Oggi mi sono imbattuto in un problema un po' più grande rispetto al solito: Ho installato correttamente VLC (wow!) con tutte le relative dipendenze (addirittura? ) ma adesso sorge un problema, VLC non parte
    Che fare?

    Grazie
    Non capisco... Non l'hai scaricato dal tuo gestore di dipendenze?...Non avresti dovuto avere alcuna difficoltà...

  14. #14
    Guest

    Predefinito

    Citazione Originalmente inviato da SolitaryExplorer Visualizza messaggio
    Perché non disinstalli il VLC che hai attualmente e non provi con il pacchetto "originale" del progetto VideoLAN?

    http://www.videolan.org/vlc/download-suse.html
    è proprio da li che ho scaricato il pacchetto.

    Citazione Originalmente inviato da attorianzo Visualizza messaggio
    Non capisco... Non l'hai scaricato dal tuo gestore di dipendenze?...Non avresti dovuto avere alcuna difficoltà...
    no non l'ho scaricato con Yast poichè cercandolo non c'era.

  15. #15
    L'avatar di SolitaryExplorer
    SolitaryExplorer non è connesso Utente storico
    Data registrazione
    10-08-2005
    Residenza
    Veneto
    Messaggi
    1,949

    Predefinito

    Type: HTTP / Servername: download.videolan.org /
    Directory: /pub/videolan/vlc/SuSE/<SUSE Version>
    Hai inserito la corretta versione del sistema operativo?
    Oppure hai scaricato e compilato i sorgenti?

    Edit
    For SUSE Linux 10.1:
    You may need to add a SUSE Repository as well to solve several dependencies.
    It could be http://ftp4.gwdg.de/pub/opensuse/distribution/SL-10.1/inst-source/suse , for example.
    Hai letto questo?
    Ultima modifica di SolitaryExplorer : 23-09-2007 alle ore 15.39.13
    Non offro assistenza privata. / Se vuoi anche tu una userbar come queste, basta chiedere.


  16. #16
    Guest

    Predefinito

    Utilizzo SUSE Linux Enterprise Server 10.0 (kernel 2.6)

    Queste sono le impostazioni che ho dato a Yast:

    Servername: download.videolan.org /
    Directory: /pub/videolan/vlc/SuSE/10.0


    "For SUSE Linux 10.1:
    You may need to add a SUSE Repository as well to solve several dependencies.
    It could be http://ftp4.gwdg.de/pub/opensuse/dis...st-source/suse , for example. "

    Qui invece non ho ben focalizzato cosa devo fare, anche perchè se lo aggiungo in http mi da errore, e stessa cosa se lo aggiungo in ftp...

Regole di scrittura

  • Non puoi creare nuove discussioni
  • Non puoi rispondere ai messaggi
  • Non puoi inserire allegati.
  • Non puoi modificare i tuoi messaggi
  •